From 5e787db2d3fd11bd23be8882804c99d45d464c9d Mon Sep 17 00:00:00 2001
From: Camden Narzt <c.narzt@me.com>
Date: Sun, 8 Oct 2023 13:47:56 -0600
Subject: [PATCH] Fix for Bug#61668: resolve symlinks in temp dir path

---
 lisp/progmodes/flymake-proc.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/progmodes/flymake-proc.el b/lisp/progmodes/flymake-proc.el
index 2e9c28a92d5..2e4995ed7fc 100644
--- a/lisp/progmodes/flymake-proc.el
+++ b/lisp/progmodes/flymake-proc.el
@@ -904,7 +904,7 @@ can also be executed interactively independently of
 (defun flymake-proc--delete-temp-directory (dir-name)
   "Attempt to delete temp dir DIR-NAME, do not fail on error."
   (let* ((temp-dir    (file-truename temporary-file-directory))
-	 (suffix      (substring dir-name (1+ (length (directory-file-name temp-dir))))))
+	 (suffix      (substring dir-name (1+ (length (file-truename (expand-file-name (directory-file-name temp-dir))))))))
 
     (while (> (length suffix) 0)
       (setq suffix (directory-file-name suffix))
-- 
2.39.3 (Apple Git-145)

